regina::InfinityBase< supportInfinity > Struct Template Reference
Mathematical Support

Internal base classes for use with NIntegerBase, templated on whether we should support infinity as an allowed value. More...

`#include <maths/ninteger.h>`

Inheritance diagram for regina::InfinityBase< supportInfinity >:

## Detailed Description

### template<bool supportInfinity>
struct regina::InfinityBase< supportInfinity >

Internal base classes for use with NIntegerBase, templated on whether we should support infinity as an allowed value.

See the NIntegerBase class notes for details.

The documentation for this struct was generated from the following file:

- maths/ninteger.h

Copyright © 1999-2014, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).